<template>
  <section class="spinner">
    <div class="rect1"></div>
    <div class="rect2"></div>
    <div class="rect3"></div>
    <div class="rect4"></div>
    <div class="rect5"></div>
  </section>
</template>

<script>
import Vue from 'vue';
import Component from 'vue-class-component';

@Component()
export default class Spinner extends Vue {}
</script>

<style lang="stylus">
.spinner
  width 50px
  height 20px
  margin 100px auto
  text-align center
  font-size 10px

  > div
    width 3px
    height 100%
    margin 1px
    display inline-block
    background-color #fff
    animation sk-stretchdelay 1.2s infinite ease-in-out

  .rect2
    -webkit-animation-delay -1.1s
    animation-delay -1.1s

  .rect3
    -webkit-animation-delay -1s
    animation-delay -1s

  .rect4
    -webkit-animation-delay -0.9s
    animation-delay -0.9s

  .rect5
    -webkit-animation-delay -0.8s
    animation-delay -0.8s

@keyframes sk-stretchdelay {
  0%,
  40%,
  100% {
    transform: scaleY(0.4)
    -webkit-transform: scaleY(0.4)
  }
  20% {
    transform: scaleY(1)
    -webkit-transform: scaleY(1)
  }
}
</style>

